{% extends "../base.html" %}
{% block header %}
Reservas - Lista de Eventos
{% endblock header %}
{% block content %}
{% load static %}
<div class="content-list">
    <div class="list-button">
        <button>
            <a href="{% url 'classroom-event-create' classroom.id %}">Criar</a>
        </button>
        <button>
            <a href="{% url 'pre-schedule' classroom.id %}">Pré-Agendar</a>
        </button>
        <button>
            <a href="{% url 'reservate' classroom.id %}">Reservar</a>
        </button>
    </div>
    <table class="list-table">
        <thead class="table-header">
            <tr>
                <th class="header__item">Nome</th>
                <th class="header__item">Data</th>
                <th class="header__item">Responsável</th>
            </tr>
        </thead>
        <tbody class="table-content">
            {% for event, date, time in Events %}
            <tr class="table-row">
                <td class="table-data">{{ event.name }}</td>
                <td class="table-data">{{ date }} às {{ time }}</td>
                <td class="table-data">{{ event.responsible }}</td>
                <td class="table-data">
                    <a class="link" href="{% url 'classroom-event' event.classroom.id event.id %}">Detalhes</a>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock content %}